Name:           ntfs-kmod-common
Version:        2.1.27
Release:        1%{?dist}
Summary:        Common parts belonging to the ntfs kernel module

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.linux-ntfs.org/
# Created after extracing linux-2.6.16.tar.bz2 and running:
# tar -cvjf ~/rpmbuild/SOURCES/ntfs-2.1.27.tar.bz2 Documentation/filesystems/ntfs.txt COPYING fs/ntfs/
Source0:	ntfs-2.1.27.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ntfs-kmod >= %{version}

BuildArch:	noarch

%description
This RPM contains the common parts belonging to the ntfs kernel module.


%prep
%setup -c -q


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Documentation/filesystems/ntfs.txt COPYING fs/ntfs/ChangeLog

%changelog
* Sat Jun 24 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.1.27-1
- update to version from 2.6.17

* Sun May 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.1.26-3
- Require ntfs-kmod instead of kmod-ntfs (#970).

* Sat Mar 18 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.26-2
- make package noarch

* Sat Mar 18 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.26-1
- Update to 2.1.26
- Drop 0.lvn

* Wed Feb 08 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.25-0.lvn.1
- Rename to ntfs-kmod-common
- Remove the kenrel-module part

* Sun Jan 08 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.25-0.lvn.1
- Update to 2.1.25
- Enable rw by default

* Sat Jun 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.22-0.lvn.3
- Adjust to new kmodules scheme -- should work better with FC4

* Sat Jun 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.22-0.lvn.2
- Update to Version from 2.6.12 tree
- Adjust BR for FC4
- Include Changelog in %%doc

* Tue Jan 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.22-0.lvn.1
- Update to 2.1.22

* Fri Nov 05 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.20-0.lvn.1
- Update to 2.1.20
- Build without kernel-module-devel as default
- BR post, postun /sbin/depmod 

* Sat Oct 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.9
- Make Build independant of kernel-sourcecode / include sources directly
- Allow building without kernel-module-devel
- Change rhkernel usage again. Use it not for the BR. BR kernel and Co
  always if no srcdir with ksrc provided.
- Allow rpm to strip the kernel module.

* Fri Sep 24 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.8
- Can's use fedora-kmodhelper to detect kverrel when it is not installed 
  -> moved kverrel detection to a hardcoded sed command

* Wed Sep 15 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.7
- Removed rhkernel detection completely

* Wed Sep 15 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.6
- BuildRequire fedora-rpmdevtools

* Wed Sep 15 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.5
- rhkernel default
- make srpm uniqe (don't depend on kernel-version)
- remove fedora-kmodhelper
- use kernel-module-devel

* Mon Sep 13 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.4
- Fail correctly if kernel is not installed when building for a fedora-kernel
- Re-Do rhkernel-detection workaround

* Sun Sep 12 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.3
- Do not fail and warn if a ksrc is not found
- disable rhkernel-detection for the moment  

* Fri Sep 03 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.2
- Simple build fix to allow use of kernel-module-devel package

* Sun Aug 29 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.15-0.lvn.1
- Use rhkernel macro so building for custom kernels works
- Buildrequier kernel-sourcecode, kernel-source does not work

* Wed Aug 11 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.14-0.lvn.2
- Use another build approach as suggested by arjanv in 
  129377#c3@bugzilla.redhat.com

* Sun Aug 01 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.14-0.lvn.1
- Initial RPM release.
